Subject: Re: [PATCH net] 3c589_cs: Fix an error handling path in tc589_probe()

From: Simon Horman <[email-masked]>
Date: Tue, 23 May 2023 10:42:13 +0200

On Mon, May 22, 2023 at 07:18:29PM +0200, Christophe JAILLET wrote:
> Le 22/05/2023 à 14:34, Simon Horman a écrit :
> > On Sat, May 20, 2023 at 11:48:55AM +0200, Christophe JAILLET wrote:
> > > Should tc589_config() fail, some resources need to be released as already
> > > done in the remove function.
> > > 
> > > Fixes: 15b99ac17295 ("[PATCH] pcmcia: add return value to _config() functions")
> > 
> > That commit is probably going back far enough, but I actually
> > suspect the problem has been there since the beginning of git history.
> 
> In fact, before that commit, the probe was always returning 0, so there was
> no need for an error handling path.

Sure. But resources could still leak, as far as I can tell.
Adding a return value provided a mechanism to fix such leaks.
But wasn't done (until now). Just my 2c worth.

> FYI, commit 15b99ac17295 ("[PATCH] pcmcia: add return value to _config()
> functions") messed up many drivers for the same reason.
> I sent a few patches to see if there was an interest to fix these (really)
> old drivers, most linked with pcmcia which seems to slowly be removed from
> the kernel.
> 
> So I'm a bit unsure if fixing it really matters.
> Let see if I collect some other R-b tags for the other patches.

Yes, let's see.